> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/bet-builder/bet-builder-or-combo-feature.md).

# Bet Builder OR Combo Feature

### Feature Overview

OR Combination Logic introduces a new capability within Bet Builder that\
allows bettors to combine multiple selections using OR logic, while\
continuing to combine that outcome with other markets using the existing\
AND logic.\
For example, instead of selecting Player A to Score, customers can now\
select: Player A OR Player B to Score. The bet is successful if either\
player scores, **giving customers greater flexibility, a higher**\
**probability of winning, and a more personalized betting experience.**

### Why use the OR Combo Feature?

* **Boost Fan Engagement and Increase betting volume:** Offer more\
  flexible and engaging betting options by giving punters greater\
  creativity when building their Bet Builders. The OR Combo Feature\
  increases interest in player markets by allowing bettors to combine\
  their favorite player selections, reducing the risk of relying on a single\
  player outcome.
* **Scalable & Sport-Agnostic:** The OR Combo Feature is built on a\
  flexible architecture that supports future expansion across additional\
  sports and market types. By integrating this capability now, operators\
  can benefit from future enhancements as more sports and complex\
  markets become available.<br>

### How to use the OR Combo Feature?

Once you have Bet Builder package, you will be able to use this\
feature.

{% hint style="info" %}
This feature is currently not supported for MTS clients. Support for MTS\
will be introduced in the future!
{% endhint %}

The Bet Builder Calculate and Calculate Filter APIs support OR\
Combination Logic through a new request format. Only the request\
structure has changed. The API response format remains unchanged. Refer\
to the request examples below for implementation details.&#x20;

**Best Practice Guide**

1. Create Dedicated OR Combo Markets: Operators can introduce a\
   dedicated market line for OR combinations, for example: Either Player\
   to Score. This allows customers to clearly identify available OR\
   selections.
2. Define Available Player Combinations: Operators can determine which\
   player combinations to offer. A common approach is to select players\
   with a higher probability of scoring, and then combine players into\
   pairs, offering these combinations as selectable OR markets.
3. Combine OR Markets with Other Bet Builder Selections: Punters can\
   select an OR Combo market together with other Bet Builder markets.\
   For example, punter selects “Either Player A to Score OR Player B to\
   Score” AND “Home Team to Win”.
4. Operators can then call Bet Builder API using the new OR Combination\
   Logic format to retrieve the combined price.
5. Settlements: Listen to the feed for settlements of each single market,\
   and then settle the whole Bet Builder ticket based on that.\
   Note: OR Combo markets are available only through Bet Builder\
   APIs. OR Combo markets are not available through the UOF feed.\
   If operators want to display standalone prices for markets such as\
   "Either Player to Score", they should request the price through the Bet\
   Builder API.

### OR Combo Feature Supported Markets and Rules

The first version of OR Combination Logic includes the following restrictions:

* **Supported Markets:**\
  &#x20;\- Only soccer player markets are supported. Other sport and\
  market types will be supported in the future.\
  &#x20;\- For markets with multiple lines (for example, Player Goal 1+,\
  Player Goal 2+, etc.), only the Player 1+ line is supported.
* **Combination Rules:**\
  &#x20;\- All selections within a single OR Combo must use the same\
  Market ID.&#x20;

&#x20;      \- Multiple OR Combos can be included within the same API request.\
&#x20;      \- A maximum of 3 selections is allowed within one OR Combo.\
&#x20;      \- OR Combos are only supported between selections from the\
same match.

### API Request Samples

* To create an OR Combo request, include the OR selections within the\
  same block. Each block represents a group of selections where any one selection can be successful.
* Additional selections outside the blocks are treated as\
  standard selections and will be combined with the OR Combo\
  selections using the existing AND logic.
* These samples demonstrate requests containing multiple matches. For\
  a single-match request, simply include only one match in the request\
  payload.<br>

#### Calculate

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>  
<selections   
xmlns="http://schemas.sportradar.com/custombet/v1/endpoints">  
 <!-- First match Id-->  
 <selection id="sr:match:63123285" market_id="60"   
outcome_id="3" odds="1.1"/>  
 <selection id="sr:match:63123285" market_id="83"   
outcome_id="3" odds="1.2"/>  
 <orSelections>  
 <selection id="sr:match:63123285" market_id="40"   
outcome_id="sr:player:123" specifiers="type=prematch"   
odds="1.1"/> <selection id="sr:match:63123285"   
market_id="40" outcome_id="sr:player:124"   
specifiers="type=prematch" odds="1.1"/> <selection   
id="sr:match:63123285" market_id="40"   
outcome_id="sr:player:124" specifiers="type=prematch"   
odds="1.1"/>  
 </orSelections>  
 <orSelections>
 <selection id="sr:match:63123285" market_id="775"   
outcome_id="sr:player:125"   
specifiers="variant=pre:playerprops:62925395:1121881"   
odds="1.2"/> <selection id="sr:match:63123285"   
market_id="775" outcome_id="sr:player:126"   
specifiers="variant=pre:playerprops:62925395:1121881"   
odds="1.2"/>  
 </orSelections>  
<!-- Second match Id-->  
<selection id="sr:match:63123286" market_id="47"   
outcome_id="434" odds="3.2"/>  
<selection id="sr:match:63123286" market_id="1" outcome_id="3"   
odds="3.1"/>  
<orSelections>  
 <selection id="sr:match:63123286" market_id="40"   
outcome_id="sr:player:223" specifiers="type=prematch"/   
odds="3.01" > <selection id="sr:match:63123286"   
market_id="40" outcome_id="sr:player:224"   
specifiers="type=prematch" odds="2.3"/>  
</orSelections>  
</selections>  
```

#### Calculate-filter

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>  
<filterSelections   
xmlns="http://schemas.sportradar.com/custombet/v1/endpoints">  
 <selection id="sr:match:62925395">  
 <market market_id="1" specifiers="" outcome_id="1"   
odds="1.35"/>  
 <market market_id="768"   
specifiers="variant=pre:playerprops:62925395:1121881"   
outcome_id="pre:playerprops:62925395:1121881:24" odds="3.32"/>  
 <market market_id="774"  
specifiers="variant=pre:playerprops:62925395:1121881"  
outcome_id="pre:playerprops:62925395:1121881:3"  
odds="2.53"/>
 <orSelections>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:123" odds="1.35"/>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:124" odds="1.35"/>  
 </orSelections>  
 <orSelections>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:223" odds="1.35"/>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:224" odds="1.35"/>  
 </orSelections>  
 </selection>  
 <selection id="sr:match:62925396">  
 <market market_id="1" specifiers="" outcome_id="1"   
odds="1.35"/>  
 <market market_id="768"   
specifiers="variant=pre:playerprops:62925395:1121881"   
outcome_id="pre:playerprops:62925395:1121881:24" odds="3.32"/>  
 <market market_id="774"   
specifiers="variant=pre:playerprops:62925395:1121881"   
outcome_id="pre:playerprops:62925395:1121881:3" odds="2.53"/>  
 <orSelections>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:123" odds="1.35"/>  
 <market market_id="40" specifiers="type=prematch"   
outcome_id="sr:player:124" odds="1.35"/>  
 </orSelections>   
</selection>  
</filterSelections>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/bet-builder/bet-builder-or-combo-feature.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
